Retrieves a list of all funnel pages based on the given query parameters.
http
GET https://services.leadconnectorhq.com/funnels/pageAuthorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Query parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
locationId | string | Yes | ||
funnelId | string | Yes | ||
name | string | No | ||
limit | number | Yes | ||
offset | number | Yes |
Responses
200 - Successful response - List of funnel pages returned
_id(string, required): Example:0yJbP3q7t7pLmeTWRAE2locationId(string, required): Example:ojQjykmwNIU88vfsfzvHfunnelId(string, required): Example:iucJ6TdFZiddhq9f6znhname(string, required): Example:HomestepId(string, required): Example:343bf634-3aa6-4ade-b963-2d3cd0bf2ededeleted(string, required): Example:FalseupdatedAt(string, required): Example:2024-04-18T12:25:23.029Z
json
{
"_id": "0yJbP3q7t7pLmeTWRAE2",
"locationId": "ojQjykmwNIU88vfsfzvH",
"funnelId": "iucJ6TdFZiddhq9f6znh",
"name": "Home",
"stepId": "343bf634-3aa6-4ade-b963-2d3cd0bf2ede",
"deleted": false,
"updatedAt": "2024-04-18T12:25:23.029Z"
}Example
curl -X GET 'https://services.leadconnectorhq.com/funnels/page' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'const response = await fetch('https://services.leadconnectorhq.com/funnels/page', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/funnels/page',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/funnels/page');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);